TICKIT_RENDERBUFFER_NEW(3)

NAME
tickit_renderbuffer_new - create a new render buffer instance

SYNOPSIS
    #include <tickit.h>

    TickitRenderBuffer *tickit_renderbuffer_new(int lines, int cols);

Link with -ltickit.

DESCRIPTION
tickit_renderbuffer_new() creates a new TickitRenderBuffer instance of the given size. Once constructed, the size is fixed. Initially it has a clipping region covering the entire area, a zero translation offset, no applied masks, no stored pen and no virtual cursor position. It can be reset back to this state at any time by calling tickit_renderbuffer_reset(3).

The reference count of a newly-constructed render buffer instance will be one. This can be incremented or decremented using tickit_renderbuffer_ref(3) and tickit_renderbuffer_unref(3). When its reference count reaches zero it is destroyed.

RETURN VALUE
If successful, tickit_renderbuffer_new() returns a pointer to the new instance.

SEE ALSO
tickit_renderbuffer_text(3), tickit_renderbuffer_blit(3), tickit_renderbuffer_flush_to_term(3), tickit_renderbuffer(7), tickit(7)